DO $$ 
    BEGIN
        BEGIN
           IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=1765) THEN
		RETURN;
          END IF;
	   UPDATE public."EmailServers" SET "Name" = "ImapServer" WHERE "Name" IS NULL;
        EXCEPTION
            WHEN OTHERS THEN RAISE NOTICE 'Can not set null Name in <EmailServers>.';
        END;
    END;
$$
